#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    long long t;
    cin>>t;
    for(long long k=0;k<t;k++){
        long long n;
        cin>>n;
        long long a[n],b[n];
        for(long long i=0;i<n;i++){
            cin>>a[i];
        }
        for(long long i=0;i<n;i++){
            cin>>b[i];
        }
        //cerr<<"ulazim u proveru"<<endl;
        bool ne=false;
        for(long long i=0;i<n;i++){
            for(long long j=0;j<n;j++){
                if(abs(a[i])==abs(b[j])){
                    if((j-i)%2==0){
                        if(a[i]!=b[j]){
                            //cerr<<"prvi if, za "<<a[i]<<", "<<b[j]<<endl;
                            ne=true;
                            break;
                        }
                    }
                    else{
                        if(a[i]==b[j]){
                            ne=true;
                            break;
                        }
                    }
                }
            }
            if(ne==true)break;
        }
        if(ne==true)cout<<"NE"<<endl;
        else cout<<"DA"<<endl;
    }
    return 0;
}